//
// JmsaQueueSender.java - JMS Adapter QueueSender
//

package nyangau.jmsadapter;

import javax.jms.*;

public class JmsaQueueSender extends JmsaMessageProducer implements QueueSender
  {
//...sJmsaQueueSender:2:
public JmsaQueueSender(
  QueueSender producer,
  Queue queue,
  FlowProcessor flowproc
  )
  { super(producer, queue, flowproc); }
//...e
//...sgetQueue:2:
public Queue getQueue()
  throws JMSException
  { return ((QueueSender)mp).getQueue(); }
//...e
//...ssend:2:
public void send(Queue q, Message message)
  throws JMSException
  { super.send(q, message); }

public void send(Queue q, Message message, int deliveryMode, int priority, long timeToLive)
  throws JMSException
  { super.send(q, message, deliveryMode, priority, timeToLive); }
//...e
  }
